package com.ar.drawing.art.adapter;

import android.content.Context;
import android.graphics.Bitmap;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import com.ar.drawing.art.databinding.ItemListChildBinding;
import com.ar.drawing.art.listener.OnClickListener;
import com.ar.drawing.art.utils.Common;

import java.util.List;

public class adaListChild extends RecyclerView.Adapter<adaListChild.ChildVH> {


    private Context mCon;
    private List<String> data;

    private OnClickListener listener;


    public void setListener(OnClickListener listener) {
        this.listener = listener;
    }

    public adaListChild(Context mCon, List<String> bitmapList ) {
        this.mCon = mCon;
        data = bitmapList;

    }


    @NonNull
    @Override
    public ChildVH onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {


        return new ChildVH( ItemListChildBinding.inflate(LayoutInflater.from(parent.getContext()), parent, false));
    }

    @Override
    public void onBindViewHolder(@NonNull ChildVH holder, int position) {

        String name = data.get(position);
        Bitmap bitmap = Common.loadImageFromAssets(mCon, name);
        holder.binding.imPreview.setImageBitmap(bitmap);
        holder.binding.cardView.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                if (listener != null) {
                    listener.onClickItem(1, name);
                }
            }
        });



    }

    @Override
    public int getItemCount() {
        return data.size();
    }

    public static class ChildVH extends RecyclerView.ViewHolder {


        private ItemListChildBinding binding;


        public ChildVH(@NonNull ItemListChildBinding itemView) {
            super(itemView.getRoot());
            binding = itemView;
        }


    }
}
